# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "aqueue"
version = "1.1.7"
authors = ["luyi <luyikk@126.com>"]
description = "fast speed thread safe async execute queue."
documentation = "https://docs.rs/aqueue"
readme = "README.md"
license = "MIT/Apache-2.0"
repository = "https://github.com/luyikk/aqueue"
[dependencies.anyhow]
version = "1.0"

[dependencies.async-oneshot]
version = "0.5"

[dependencies.async-trait]
version = "0.1"

[dependencies.concurrent-queue]
version = "1.2"
[dev-dependencies.async-trait]
version = "0.1"

[dev-dependencies.dotenv]
version = "0.15"

[dev-dependencies.lazy_static]
version = "1.4"

[dev-dependencies.sqlx]
version = "0.5"
features = ["sqlite", "runtime-tokio-native-tls"]

[dev-dependencies.tokio]
version = "1"
features = ["full"]
